# Get all tenants

Gets a list of tenants.

Endpoint: GET /v4/orchestration/config/tenant
Version: 4.0.0
Security: Bearer

## Query parameters:

  - `page` (integer)
    The page number for paginated results.

The value is zero-based, where 0 represents the first page.

Set it to 0 to get the first page of results.

  - `size` (integer)
    Number of objects to return per page.

  - `sort` (string)
    Name of the property on which you want to sort the results. Add diection by appending a comma (,) to the the property name plus either asc or desc.

## Response 200 fields (application/json):

  - `first` (boolean)
    true if  this is the first page.

  - `last` (boolean)
    true if  this is the last page.

  - `number` (integer)
    page number

  - `numberOfElements` (integer)
    Number Of elements in this request

  - `size` (integer)
    page size

  - `totalElements` (integer)
    Total number of elements for the given request

  - `totalPages` (integer)
    Total number of pages for the given request

  - `sort` (array)
    Sort details of this page

  - `sort.direction` (string)
    Direction of the sort
    Example: "ASC"

  - `sort.property` (string)

  - `sort.ignoreCase` (boolean)

  - `sort.nullHandling` (string)
    Example: "NULLS_FIRST"

  - `sort.ascending` (boolean)
    Example: true

  - `sort.descending` (boolean)

  - `content` (array)

  - `content.tenant_id` (string)
    Tenant ID of the tenant.
    Example: "urn:ripplexcurrent-prod:name"

  - `content.callback_enabled` (boolean)
    Flag to denote whether callback is enabled for this tenant.

  - `content.callback_url` (string)
    URL to be invoked for callback for this tenant. Mandatory if callback_enabled is true.

  - `content.xcurrent_client_id` (string)
    Client ID for connecting to RippleNet for this tenant. Mandatory if credentials have to be managed locally.

  - `content.xcurrent_password` (string)
    Password for connecting to RippleNet for this tenant. Mandatory if credentials have to be managed locally.

  - `content.xcurrent_connection_timeout` (integer)
    Timeout, in milliseconds, to obtain a connection with RippleNet for this tenant.

  - `content.xcurrent_socket_timeout` (integer)
    Timeout, in milliseconds, to obtain a response for a RippleNet API operation for this tenant.

  - `content.xcurrent_url` (string)
    URL of the RippleNet (RN node) system to which orchestration service connects.


